spoonity logo
      spoonity logo
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Product

    Products are units that can be purchased by customers. They are associated to invoices through line items.

    The product model

    The product model contains identifying information about the product.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the product.

    • Name
      name
      Type
      string
      Description

      A unique name for the product.

    • Name
      sku
      Type
      string
      Description

      An internal identifier for the product, typically linked to the POS system.

    • Name
      date_created
      Type
      string
      Description

      Timestamp of when the product was first created.

    • Name
      date_updated
      Type
      string
      Description

      Timestamp of when the product was last updated.

    • Name
      status
      Type
      string
      Description

      A string enum for indicating the current status of the product.


    GET/products

    Retrieve a list of products

    This endpoint allows you to retrieve a paginated list of products. By default, this will include the 25 most recent objects, starting with the most recent.

    Query parameters

    • Name
      limit
      Type
      integer
      Description

      The maximum number of entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      n
      Type
      string
      Description

      Name of the product.

    • Name
      sk
      Type
      string
      Description

      Sku of the product.

    • Name
      s
      Type
      string
      Description

      Status of the product.

    Request

    GET
    /products
    curl -G https://api.spoonity.com/products \
      -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "prod_6c787f0a704c20b3",
          "name": "Latte",
          "sku": "CDLAT001",
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
          "status": "ACTIVE"
        }
      ],
      "paging": {
        "next": "https://api.spoonity.com/segments?limit=25&page=2",
        "prev": null
      }
    }
    

    GET/products/:id

    Retrieve a particular product

    This endpoint allows you to retrieve a specific product by ID.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The product ID.

    Request

    GET
    /products/:id
    curl -G https://api.spoonity.com/products/:id \
    -H "Authorization: Bearer {token}"
    

    Response

    {
      "id": "prod_6c787f0a704c20b3",
      "name": "Latte",
      "sku": "CDLAT001",
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    POST/products

    Create a product

    This endpoint allows you to create a new product.

    Required attributes

    • Name
      name
      Type
      string
      Description

      The product's name.

    • Name
      sku
      Type
      string
      Description

      The product's SKU.

    Request

    POST
    /products
    curl -G https://api.spoonity.com/products \
    -H "Authorization: Bearer {token}" \
    -d name="Latte" \
    -d sku="CDLAT001"
    

    Response

    {
      "id": "prod_6c787f0a704c20b3",
      "name": "Latte",
      "sku": "CDLAT001",
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    PUT/products/:id

    Update a product

    This endpoint allows you to update a product. A products's name, sku and status can be updated.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The product ID.

    Optional attributes

    • Name
      name
      Type
      object
      Description

      The product's name.

    • Name
      sku
      Type
      object
      Description

      The product's SKU.

    • Name
      status
      Type
      string
      Description

      A status enum. Products can exist in either an ACTIVE or ARCHIVED state.

    Request

    PUT
    /products/:id
    curl -G https://api.spoonity.com/products/:id \
    --request PUT \
    -H "Authorization: Bearer {token}" \
    -d status="INACTIVE"
    

    Response

    {
      "id": "prod_6c787f0a704c20b3",
      "name": "Latte",
      "sku": "CDLAT001",
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "INACTIVE"
    }
    

    DELETE/products/:id

    Delete a product

    This endpoint allows you to delete a product. Deleted products will no longer be able to be purchased.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The product ID.

    Request

    DELETE
    /products/:id
    curl -G https://api.spoonity.com/products/:id \
    --request DELETE \
    -H "Authorization: Bearer {token}"
    

    Response

    {}
    

    Was this page helpful?

    PreviousPayment
    NextSegment

    © Copyright 2026 Spoonity, Inc. All rights reserved.